Kerbal Space Program - Bug #2790

Science transmission gives wrong values
07/18/2014 10:05 AM - fibonatic

Status: Moot Start date: 07/18/2014
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.24 Language: English (US)
Platform: Win64 Mod Related: No
Expansion:

Description

The science transmission gives wrong values, both in the text posts when it is completed and in predicted transmission percentage.

However this does not apply to all science in the same way (haven't tested all, but crew report can be transmitted 100% while EVA
report only 81%).

In the first two images you can see that the predicted transmission value would be 1.2 science, while on completion it says 0.0
science added, but the actual amount added is (13.7-12.8) 0.9 science.

In the last two images you can see that the predicted transmission value would be 24.0 science, while on completion it says 1.5
science added, but the actual amount added is (83.3-63.8) 19.5 science.

History

#1 - 07/18/2014 07:48 PM - hermes47
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

Not a bug. You're running out of battery power while transmitting, and having to wait for the batteries to recharge means that the data sent already is
converted to science, which diminishes how much science you get from the next lot of data that gets through. Try it with a few batteries attached.

#2 - 07/19/2014 05:27 AM - hermes47
- Status changed from Not a Bug to New
- % Done changed from 100 to 0

Sorry, reopening. Appears there may be an issue with the x64 Windows build (that | can't test).

#3 - 07/19/2014 05:57 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The pics don't really show it, but in looking through my logs | can see in x64 it appears to be chopping the transmissions and giving you less than it
should for the later parts

#4 - 07/19/2014 05:58 AM - TriggerAu

Oh, another example here:
http://forum.kerbalspaceprogram.com/threads/86848-Getting-2-science-for-EVA-reports-around-Minmus-that-should-be-worth-32

#5 - 07/19/2014 06:04 AM - Kerolyov

- Subject changed from The science transmission gives wrong values to Science transmission gives wrong values

| can confirm this for EVA report transmission on 64 bit, crew report seems to work fine though. 32 bit KSP doesn't exhibit this issue.

EVA report transmits 100% (not battery issue as still have power after transmission), on screen states 0.3 transmitted even though report dialog
suggested 5.6 science would be transmitted. If return to KSC and look in science archives then 4.55 science has arrived.
Repro steps:-

. Start new career

. Build Mk1 pod + antenna

. Goto launchpad

. EVA kerbal

. Take EVA report and keep data
. Re-enter pod

. Transmit EVA report
#6 - 07/19/2014 07:11 AM - fibonatic

This bug seemed to be caused by incorrect electricity calculations, since | do remember that | had enough charge when performing these tests.
Another thing | also noticed, which is probably related but I initially did not bother to mention since it did not really affected game play, was that the
torque of the command module (when right clicking on it) very rapidly changed status between "out of electrical charge" and working normally. So
when transmitting the game probably also does this with the antennas, cutting the transmission up into lots of small transmissions.

#7 - 09/24/2014 10:57 PM - Kirk

| have the same issue, or at least similar issues. On the new Windows x64 build, the science transmission doesn't seem to work very well or at all.
The screen displays a "Received info, +0.0 science" message for every tick (for example 3.333% for a gravioli detector). For smaller amounts of
science, no science is received at all. Perhaps rounding plays a role here as well.

| had more than enough ElectricCharge as well.

While googling | found this:

https://github.com/RemoteTechnologiesGroup/RemoteTech/issues/136

Not sure how related it is. It suggests an x64 build can have issues with sleeping, which mucks up time deltas.

#8 - 07/27/2015 08:15 PM - Squelch
- Status changed from Confirmed to Moot

- % Done changed from 10 to 100
